Bug 238106 - fence_apc doesn't work with an APC 7921
Summary: fence_apc doesn't work with an APC 7921
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-27 07:32 UTC by Martin von Weissenberg
Modified: 2009-04-16 22:34 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:59:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patches fence_apc 2.0.64 to support APC firmware 3.3.3 (827 bytes, patch)
2007-06-07 17:12 UTC, WhidbeyNet
no flags Details | Diff
latest tested fix (24.96 KB, text/plain)
2007-07-11 15:20 UTC, Jim Parsons
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0575 normal SHIPPED_LIVE cman bug fix update 2007-10-31 12:26:24 UTC

Comment 2 Martin von Weissenberg 2007-04-27 08:02:17 UTC
Customer is going to retry using different APC firmware versions. At least
v3.3.3 and v2.7.4 will be attempted.

Comment 4 Martin von Weissenberg 2007-04-27 10:06:17 UTC
Customer reports that downgrading the firmware to 2.7.4 makes the bug disappear.
They accepted this as a workaround. I'll lower the priority to medium.

For the record, they tested firmware 3.3.3 first and confirmed that the bug
occurs there. They also tried to modify /sbin/fence_apc to accept "Outlet
Management" instead of "Outlet Control" but didn't succeed.

The customer also reports that their APC switch was manufactured in January 2007
and  it was bought just a few weeks ago. This apparently means that if you buy
an APC switch off the shelf today, you will encounter this bug.

Comment 5 WhidbeyNet 2007-06-07 17:12:14 UTC
Created attachment 156486 [details]
Patches fence_apc 2.0.64 to support APC firmware 3.3.3

Apply with:

cd /sbin
patch -p0 < fence_apc.patch

Note this patch does not change the version number and has not been tested with
previous APC firmware releases.

Comment 6 WhidbeyNet 2007-06-07 17:16:42 UTC
Comment on attachment 156486 [details]
Patches fence_apc 2.0.64 to support APC firmware 3.3.3

Confirmed in Firmware 3.3.3 and later (released January 5th 2007) on an APC7960
Switched Rack PDU by running:

/sbin/fence_apc -a IPADDRESS -l LOGINNAME -p PASSWORD -o off -n 1:1

Which returns:

failed: unrecognised menu response

We fixed it by creating the attached patch (patch -p0 < patchfile), which also
permits renaming outlets on the APC (which otherwise would break fence_apc).
After applying the patch, the above command should return:

success: outlet 1 off

Comment 7 Jim Parsons 2007-07-11 15:01:53 UTC
This issue is of PARAMOUNT importance. My committed fix has been tested on old
firmware versions as well as the latest from APCC. An incomplete fix for this
issue made it into the beta - the currently committed fix is the real deal and I
have complete confidence in it.

Comment 9 Jim Parsons 2007-07-11 15:20:10 UTC
Created attachment 158961 [details]
latest tested fix

BTW, thx for the patch, but that patch fixes the old perl version of the agent.
The latest version is in python, and includes support for alias'd names, outlet
grouping, big switches, etc.

Please try this attached agent - it uses the same CLI and xml attr's as the
perl agent of course

Comment 10 Jim Parsons 2007-07-12 03:50:56 UTC
Checked in. Thx for the acks, all.

Comment 14 errata-xmlrpc 2007-11-07 16:59:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html



Note You need to log in before you can comment on or make changes to this bug.